<?php


// 移除头部 wp-json 标签和 HTTP header 中的 link
remove_action('wp_head', 'rest_output_link_wp_head', 10 );
remove_action('template_redirect', 'rest_output_link_header', 11 );
//移除登陆后顶部工具栏
show_admin_bar(false);

//禁用xml-rpc功能
add_filter('xmlrpc_enabled','__return_false');

//删除 wp_head 产生的垃圾代码
remove_action( 'wp_head', 'feed_links_extra', 3 ); // Display the links to the extra feeds such as category feeds
remove_action( 'wp_head', 'feed_links', 2 ); // Display the links to the general feeds: Post and Comment Feed
remove_action( 'wp_head', 'rsd_link' ); // Display the link to the Really Simple Discovery service endpoint, EditURI link
remove_action( 'wp_head', 'wlwmanifest_link' ); // Display the link to the Windows Live Writer manifest file.
remove_action( 'wp_head', 'index_rel_link' ); // index link
remove_action( 'wp_head', 'parent_post_rel_link', 10, 0 ); // prev link
remove_action( 'wp_head', 'start_post_rel_link', 10, 0 ); // start link
remove_action( 'wp_head', 'adjacent_posts_rel_link', 10, 0 ); // Display relational links for the posts adjacent to the current post.
remove_action( 'wp_head', 'wp_generator'); // Display the XHTML generator that is generated on the wp_head hook, WP version

date_default_timezone_set('Asia/Shanghai');  //时区设置



// 禁用缩放尺寸  2560
add_filter('big_image_size_threshold', '__return_false');  

//禁用其他尺寸

function shapeSpace_disable_medium_large_images($sizes) {

unset($sizes['medium_large']); // disable 768px size images

unset($sizes['1536x1536']);    // disable 2x medium-large size 
unset($sizes['2048x2048']);    // disable 2x large size return $sizes;

return $sizes;

}
add_filter('intermediate_image_sizes_advanced', 'shapeSpace_disable_medium_large_images');


//新建额外表
function my_crate_table() {
    global $wpdb; 
    $bizhi_collect =  "bizhi_collect";
    $bizhi_download_times =  "bizhi_download_times";
    $bizhi_order =  "bizhi_order";
    $bizhi_yanzm =  "bizhi_yanzm";

    if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $bizhi_collect){
        $sql = "CREATE TABLE " . $bizhi_collect . " (
             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
			 `postid` bigint(20) NOT NULL,
			 `message` varchar(255) NOT NULL,
			 `userid` bigint(20) NOT NULL,
			 `flag` int(11) NOT NULL,
			 `collectTime` datetime NOT NULL,
			 `category` varchar(255) NOT NULL,
			 PRIMARY KEY (`id`)
			) ENGINE=MyISAM DEFAULT CHARSET=gbk;
        ";
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
 
        dbDelta($sql);
    }

    if($wpdb->get_var("SHOW TABLES LIKE '$bizhi_download_times'") != $bizhi_download_times){
        $sql = "CREATE TABLE " . $bizhi_download_times . " (
             `id` bigint(20) NOT NULL AUTO_INCREMENT,
			 `postid` bigint(20) NOT NULL,
			 `userid` bigint(20) DEFAULT NULL,
			 `download_time` datetime DEFAULT NULL,
			 PRIMARY KEY (`id`)
			) ENGINE=MyISAM DEFAULT CHARSET=gbk
        ";
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
 
        dbDelta($sql);
    }


    if($wpdb->get_var("SHOW TABLES LIKE '$bizhi_order'") != $bizhi_order){
        $sql = "CREATE TABLE " . $bizhi_order . " (
             `id` bigint(20) NOT NULL AUTO_INCREMENT,
			 `orderID` varchar(20) NOT NULL,
			 `payAmount` int(255) DEFAULT NULL,
			 `orderName` varchar(255) DEFAULT NULL,
			 `userEmail` varchar(255) DEFAULT NULL,
			 `orderDate` datetime DEFAULT NULL,
			 `isPay` int(255) DEFAULT NULL,
			 `userID` bigint(20) NOT NULL,
			 `deviceId` varchar(255) NOT NULL DEFAULT '',
			 PRIMARY KEY (`id`,`orderID`,`userID`,`deviceId`)
			) ENGINE=MyISAM DEFAULT CHARSET=gbk
        ";
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
 
        dbDelta($sql);
    }


    if($wpdb->get_var("SHOW TABLES LIKE '$bizhi_yanzm'") != $bizhi_yanzm){
        $sql = "CREATE TABLE " . $bizhi_yanzm . " (
             `id` bigint(150) unsigned NOT NULL AUTO_INCREMENT,
			 `toemail` varchar(150) NOT NULL,
			 `code` varchar(150) NOT NULL,
			 `saveTime` date NOT NULL,
			 PRIMARY KEY (`id`)
			) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='保存的验证码'
        ";
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
 
        dbDelta($sql);
    }


}

//启用主题时候，新建额外表
add_action('after_switch_theme', 'my_crate_table');



//上传文件重命名
function rename_attachement_file($file) {
$file['name'] = date('ymdHis').'.jpg';
    return $file;
}
add_filter('wp_handle_upload_prefilter', 'rename_attachement_file');



//设置缩略图
if ( function_exists( 'add_theme_support' ) ) {
    add_theme_support( 'post-thumbnails' );
}

//注册菜单
if(function_exists('register_nav_menus')){
    register_nav_menus( array(
        'topnav-menu' => __( '顶部菜单' ),
 
    ) );
}


//禁用定时任务
add_action('wpjam_remove_invild_crons', 'wpjam_remove_invild_crons');
function wpjam_remove_invild_crons(){
    global $wp_filter;
    $wp_crons = _get_cron_array();
    foreach ($wp_crons as $timestamp => $wp_cron) {
        foreach ($wp_cron as $hook => $dings) {
            if(emptyempty($wp_filter[$hook])){
                foreach( $dings as $sig=>$data ) {
                    wp_unschedule_event($timestamp, $hook, $data['args']);
                }
            }
        }
    }
}
if(!wp_next_scheduled('wpjam_remove_invild_crons')) {
    wp_schedule_event( time(), 'daily', 'wpjam_remove_invild_crons' );
}


//对非管理员用户隐藏后台菜单
add_action( 'admin_menu', function(){

    if(is_user_logged_in()){
        global $current_user;
        $role = $current_user->roles[0];

        if($role == 'contributor' || $role == 'subscriber' || $role == 'vip'){
           remove_menu_page('edit.php');

            remove_menu_page( 'index.php' ); //仪表盘
            remove_menu_page( 'upload.php' ); //多媒体
       
            remove_menu_page( 'edit-comments.php' ); //评论
            remove_menu_page( 'plugins.php' ); //插件
            remove_menu_page( 'tools.php' ); //工具
            remove_menu_page( 'options-general.php' ); //设置
        }
      

    }


});


add_filter( 'post_thumbnail_html', 'my_post_image_html', 10, 3 );  
function my_post_image_html( $html, $post_id, $post_image_id ) {  
    $html = '<a target="_blank" href="' . get_permalink( $post_id ) . '" title="' . esc_attr( get_post_field( 'post_title', $post_id ) ) . '">' . $html . '</a>';  
    return $html;  
}  


/**
 * 重写默认头像上传路径
 * 
 * @param   array   $dir
 * @return  array
 */
function avatar_upload_dir( $dir ) {
    return array(
        'path'   => $dir['basedir'] . '/avatars',
        'url'    => $dir['baseurl'] . '/avatars',
        'subdir' => '/avatars',
    ) + $dir;
}



//文章阅读统计
function post_views_record()
{
    if (is_singular()) {
        global $post;
        $post_ID = $post->ID;
        if ($post_ID) {
            $post_views = (int)get_post_meta($post_ID, 'views', true);
            if (!update_post_meta($post_ID, 'views', ($post_views + 1))) {
                add_post_meta($post_ID, 'views', 1, true);
            }
        }
    }
}

add_action('wp_head', 'post_views_record');
//获取阅读统计
function get_post_views()
{
    global $post;
    $post_ID = $post->ID;
    $views = get_post_meta($post_ID, 'views', true);

    return $views;
}

//后台日志阅读统计
add_filter('manage_posts_columns', 'postviews_admin_add_column');
function postviews_admin_add_column($columns)
{
    $columns['views'] = __('阅读');

    return $columns;
}

add_action('manage_posts_custom_column', 'postviews_admin_show', 10, 2);
function postviews_admin_show($column_name, $id)
{
    if ($column_name != 'views') {
        return;
    }
    $post_views = get_post_meta($id, "views", true);
    echo $post_views;
}




//删除文章同时删除文章中图片
function delete_post_and_attachments($post_ID) {
	global $wpdb;
	//删除特色图片
	$thumbnails = $wpdb->get_results( "SELECT * FROM $wpdb->postmeta WHERE meta_key = '_thumbnail_id' AND post_id = $post_ID" );
	foreach ( $thumbnails as $thumbnail ) {
	wp_delete_attachment( $thumbnail->meta_value, true );
	}
	//删除图片附件
	$attachments = $wpdb->get_results( "SELECT * FROM $wpdb->posts WHERE post_parent = $post_ID AND post_type = 'attachment'" );
	foreach ( $attachments as $attachment ) {
	wp_delete_attachment( $attachment->ID, true );
	}
	$wpdb->query( "DELETE FROM $wpdb->postmeta WHERE meta_key = '_thumbnail_id' AND post_id = $post_ID" );
}
add_action('before_delete_post', 'delete_post_and_attachments');


//修改默认的[文章]菜单名称
function change_post_menu_label() {
    global $menu;
    global $submenu;
    $menu[5][0] = '壁纸';
    $submenu['edit.php'][5][0] = '壁纸管理';
    $submenu['edit.php'][10][0] = '添加壁纸';
    $submenu['edit.php'][15][0] = '壁纸分类'; // Change name for categories
    $submenu['edit.php'][16][0] = '壁纸标签'; // Change name for tags
    echo '';
}

function change_post_object_label() {
        global $wp_post_types;
        $labels = &$wp_post_types['post']->labels;
        $labels->name = '壁纸管理';
        $labels->singular_name = '壁纸管理';
        $labels->add_new = '添加壁纸';
        $labels->add_new_item = '添加壁纸';
        $labels->edit_item = '编辑壁纸';
        $labels->new_item = '壁纸管理';
        $labels->view_item = '查看壁纸';
        $labels->search_items = '搜索壁纸';
        $labels->not_found = '没找到！';
        $labels->not_found_in_trash = '垃圾桶没找到';
    }
    add_action( 'init', 'change_post_object_label' );
    add_action( 'admin_menu', 'change_post_menu_label' );


//图片分类法

function my_taxonomies_wallpaper() {


    $labels_wallpaper_type = array(
        'name'              => _x( '壁纸类型', 'wallpaper_type' ),
        'singular_name'     => _x( '壁纸类型', 'wallpaper_type' ),
        'search_items'      => __( '搜索栏目' ),
        'all_items'         => __( '所有栏目' ),
        'parent_item'       => __( '该栏目的上级' ),
        'parent_item_colon' => __( '该栏目的上级：' ),
        'edit_item'         => __( '编辑栏目' ),
        'update_item'       => __( '更新栏目' ),
        'add_new_item'      => __( '添加新栏目' ),
        'new_item_name'     => __( '新的栏目' ),
        'menu_name'         => __( '壁纸类型' )
      
    );


    $args_wallpaper_type = array(
        'hierarchical'      => true,
        'labels'            => $labels_wallpaper_type,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'show_in_rest'       => true,
        'rest_base'          => 'wallpaper_type',
        'rest_controller_class' => 'WP_REST_Terms_Controller',
    );


        $labels_wallpaper_color = array(
        'name'              => _x( '壁纸颜色', 'wallpaper_color' ),
        'singular_name'     => _x( '壁纸颜色', 'wallpaper_color' ),
        'search_items'      => __( '搜索栏目' ),
        'all_items'         => __( '所有栏目' ),
        'parent_item'       => __( '该栏目的上级' ),
        'parent_item_colon' => __( '该栏目的上级：' ),
        'edit_item'         => __( '编辑栏目' ),
        'update_item'       => __( '更新栏目' ),
        'add_new_item'      => __( '添加新栏目' ),
        'new_item_name'     => __( '新的栏目' ),
        'menu_name'         => __( '壁纸颜色' )
      
    );


    $args_wallpaper_color = array(
        'hierarchical'      => true,
        'labels'            => $labels_wallpaper_color,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'show_in_rest'       => true,
        'rest_base'          => 'wallpaper_color',
        'rest_controller_class' => 'WP_REST_Terms_Controller',
    );





    $labels_wallpaper_size = array(
        'name'              => _x( '壁纸大小', 'wallpaper_size' ),
        'singular_name'     => _x( '壁纸大小', 'wallpaper_size' ),
        'search_items'      => __( '搜索栏目' ),
        'all_items'         => __( '所有栏目' ),
        'parent_item'       => __( '该栏目的上级' ),
        'parent_item_colon' => __( '该栏目的上级：' ),
        'edit_item'         => __( '编辑栏目' ),
        'update_item'       => __( '更新栏目' ),
        'add_new_item'      => __( '添加新栏目'),
        'new_item_name'     => __( '新的栏目' ),
        'menu_name'         => __( '壁纸大小' )
      
    );
    $args_wallpaper_size = array(
        'hierarchical'      => true,
        'labels'            => $labels_wallpaper_size,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'show_in_rest'       => true,
        'rest_base'          => 'wallpaper_size',
        'rest_controller_class' => 'WP_REST_Terms_Controller',
    );



    $labels_wallpaper_album = array(
        'name'              => _x( '壁纸合集', 'wallpaper_album' ),
        'singular_name'     => _x( '壁纸合集', 'wallpaper_album' ),
        'search_items'      => __( '搜索栏目' ),
        'all_items'         => __( '所有栏目' ),
        'parent_item'       => __( '该栏目的上级' ),
        'parent_item_colon' => __( '该栏目的上级：' ),
        'edit_item'         => __( '编辑栏目' ),
        'update_item'       => __( '更新栏目' ),
        'add_new_item'      => __( '添加新栏目'),
        'new_item_name'     => __( '新的栏目' ),
        'menu_name'         => __( '壁纸合集' )
      
    );

    $args_wallpaper_album = array(
        'hierarchical'      => true,
        'labels'            => $labels_wallpaper_album,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'show_in_rest'       => true,
        'rest_base'          => 'wallpaper_album',
        'rest_controller_class' => 'WP_REST_Terms_Controller',
    );




   register_taxonomy( 'wallpaper_size', 'post', $args_wallpaper_size);
   register_taxonomy( 'wallpaper_type', 'post', $args_wallpaper_type);
   register_taxonomy( 'wallpaper_color', 'post', $args_wallpaper_color);
   register_taxonomy( 'wallpaper_album', 'post', $args_wallpaper_album);

}

add_action( 'init', 'my_taxonomies_wallpaper', 30 );


//封装一个获取taxonomy方法，获取type

function taxonomy_term($post_ID=false,$type,$taxonomy){

    //如果不设置 ID 则默认为循环中的当前文章

    if($post_ID===false)$post_ID=get_the_ID();

    $terms=get_the_terms($post_ID,$taxonomy);

    //如果文章有添加相关分类法则输出

    if(!empty($terms)){

            //循环输出

            foreach($terms as $term){

                //获取分类法项目的名字

                $name=$term->name;

               // print_r($term);

                echo '<a target="_blank" href="'.home_url().'/'.$term->taxonomy.'/'.$term->slug.'">'.$name.'</a> ';

            }
    
    }

}



function taxonomy_color_term($post_ID=false,$type,$taxonomy){


    if($taxonomy == 'wallpaper_color'){

    //如果不设置 ID 则默认为循环中的当前文章

    if($post_ID===false)$post_ID=get_the_ID();


    $terms=get_the_terms($post_ID,$taxonomy);

    //如果文章有添加相关分类法则输出

    if(!empty($terms)){

            //循环输出

            foreach($terms as $term){

                //获取分类法项目的名字

                $name=$term->name;

                //print_r($term);

                echo '<a style="background:'.$name.';width:50px;height:30px;" target="_blank" href="'.home_url().'/'.$term->taxonomy.'/'.$term->slug.'"></a> ';

            }
    
    }
}

}



//封装一个获取taxonomy方法，获取category

function taxonomy_term_category($post_ID=false,$category){

    //如果不设置 ID 则默认为循环中的当前文章

    if($post_ID===false)$post_ID=get_the_ID();

    $terms=get_the_terms($post_ID,$category);
	
    //如果文章有添加相关分类法则输出

    if(!empty($terms)){

            //循环输出

            foreach($terms as $term){

                //获取分类法项目的名字
                  $link=esc_url(get_term_link($term,$category));

                $name=$term->name;

                echo '<a href="'.$link.'">'.$name.'</a> ';

            }
    

    }

}

//设置让wp上传音频文件
/*function wpdit_filter_mime_types($mimes)
{
    $mimes['m4r'] = 'audio/mpeg';
      $mimes['svg'] = 'image/svg+xml';


    return $mimes;
}
add_filter('upload_mimes', 'wpdit_filter_mime_types');*/


//禁止wp自动响应式图片
//
function disable_srcset( $sources ) {
    return false;
}
add_filter( 'wp_calculate_image_srcset', 'disable_srcset' );

 /**
 * WordPress 媒体库只显示用户自己上传的文件
 * http://www.uctheme.com/view-user-own-media-only.html
 */
//在文章编辑页面的[添加媒体]只显示用户自己上传的文件
function my_upload_media( $wp_query_obj ) {
    global $current_user, $pagenow;
    if( !is_a( $current_user, 'WP_User') )
        return;
    if( 'admin-ajax.php' != $pagenow || $_REQUEST['action'] != 'query-attachments' )
        return;
    if( !current_user_can( 'manage_options' ) && !current_user_can('manage_media_library') )
        $wp_query_obj->set('author', $current_user->ID );
    return;
}
add_action('pre_get_posts','my_upload_media');

//在[媒体库]只显示用户上传的文件
function my_media_library( $wp_query ) {
    if ( strpos( $_SERVER[ 'REQUEST_URI' ], '/wp-admin/upload.php' ) !== false ) {
        if ( !current_user_can( 'manage_options' ) && !current_user_can( 'manage_media_library' ) ) {
            global $current_user;
            $wp_query->set( 'author', $current_user->id );
        }
    }
}
add_filter('parse_query', 'my_media_library' );

//禁用谷歌字体
function coolwp_remove_open_sans_from_wp_core() {
    wp_deregister_style( 'open-sans' );
    wp_register_style( 'open-sans', false );
    wp_enqueue_style('open-sans','');
}
add_action( 'init', 'coolwp_remove_open_sans_from_wp_core' );

/**
 * Disable the emoji's
 */
 function disable_emojis() {
 remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
 remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
 remove_action( 'wp_print_styles', 'print_emoji_styles' );
 remove_action( 'admin_print_styles', 'print_emoji_styles' );
 remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
 remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );
 remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
 add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
 }
 add_action( 'init', 'disable_emojis' );
/**
 * Filter function used to remove the tinymce emoji plugin.
 */
 function disable_emojis_tinymce( $plugins ) {
     if ( is_array( $plugins ) ) {
     return array_diff( $plugins, array( 'wpemoji' ) );
     } else {
     return array();
     }
 }



/**
 * AJAX点赞
 * by: #fatesinger.com
 * modify: #biji.io #bgbk.org
 */
function dotGood() 
{
    global $wpdb, $post;
    $id = $_POST["um_id"];
    if ($_POST["um_action"] == 'topTop') {
        $specs_raters = get_post_meta($id, 'dotGood', true);
        $expire = time() + 99999999;
        $domain = ($_SERVER['HTTP_HOST'] != 'localhost') ? $_SERVER['HTTP_HOST'] : false; // make cookies work with localhost
        setcookie('dotGood_' . $id, $id, $expire, '/', $domain, false);
        if (!$specs_raters || !is_numeric($specs_raters)) update_post_meta($id, 'dotGood', 1);
        else update_post_meta($id, 'dotGood', ($specs_raters + 1));
        echo get_post_meta($id, 'dotGood', true);
    }
    die;
}
add_action('wp_ajax_nopriv_dotGood', 'dotGood');
add_action('wp_ajax_dotGood', 'dotGood');


//后台列表添加点赞数量展示
add_filter( 'manage_posts_columns', 'add_dotGood_columns' );
add_action( 'manage_posts_custom_column', 'output_dotGood_columns', 10, 2 );
function add_dotGood_columns( $columns ){
    // Add a new field
    $columns['zan'] = __( '点赞' );
     
    // Delete an existing field, eg. comments
  /*  unset( $columns['comments'] );*/
     
    return $columns;
}

function output_dotGood_columns( $column_name, $post_id ){
    switch( $column_name ){
        case "zan" :
            // Retrieve data and echo result
            $zan = get_post_meta( $post_id, 'dotGood', true );
            echo $zan;
            break;
    }
}


/* AJAX登录验证
/* ------------- */
function ajaxlogin(){
    $result = array();
    $result['loggedin'] = 0;
    $result['redirecturl'] = home_url();
        $creds = array();
        $creds['user_login'] = $_POST['username'];
        $creds['user_password'] = $_POST['passwd'];
        $creds['remember'] = true;
        header( 'content-type: application/json; charset=utf-8' );
        $login = wp_signon($creds, false);
        if ( ! is_wp_error( $login ) ){
            $result['loggedin'] = 1;
            $result['redirecturl'] = home_url();
            $result['userid'] = $login->ID;
            //自动登录
              wp_set_current_user($login->ID);
                wp_set_auth_cookie($login->ID,true);
            //echo json_encode( $login );

        }else{
            $result['message']  = ( $login->errors ) ? strip_tags( $login->get_error_message() ) : '<strong>ERROR</strong>: ' . esc_html__( '请输入正确用户名和密码以登录', 'tinection' );      
            $result['error'] =  $login->errors;        
        }

         echo json_encode( $result );
    
    exit;
 
}
add_action( 'wp_ajax_ajaxlogin', 'ajaxlogin' );
add_action( 'wp_ajax_nopriv_ajaxlogin', 'ajaxlogin' );


/*个人中心*/
function my_center(){
    header( 'content-type: application/json; charset=utf-8' );
    global $wpdb;
 
    $my_profile = array();
    $userid = $_POST['userid'];

    $my_profile = $wpdb->get_row("SELECT * FROM $wpdb->users WHERE ID = $userid");
    $my_profile->role = get_userdata($userid)->roles[0];
    if(get_userdata($userid)->roles[0] == 'contributor' || get_userdata($userid)->roles[0] == 'editor' || get_userdata($userid)->roles[0] == 'subscriber'){
        $my_profile->role = '普通用户'; 
    }
    $avatar = preg_match_all("<img.*?src='(.*?)'>",get_avatar( $userid, 96), $matches);
     $src = $matches[1][0];
    $avatar_img = $src.'?v='.mt_rand(100,10000);
    $my_profile->avatar_img = $avatar_img;
    $my_profile->user_pass = null;
    
    $my_profile->user_activation_key = null;
    /*$my_profile->user_email = null;*/
    echo json_encode($my_profile);

exit; 
}
add_action( 'wp_ajax_my_center', 'my_center' );
add_action( 'wp_ajax_nopriv_my_center', 'my_center' );


//用户收藏
function get_user_collect(){
    header( 'content-type: application/json; charset=utf-8' );
    global $wpdb;
    $collect_list = array();
    $userid = $_POST["userid"];
    $start = $_POST["start"];
    $nums = $_POST["num"];
    $category = $_POST["category"];
    $results = $wpdb ->get_results("SELECT * FROM bizhi_collect WHERE userid =$userid AND category ='$category' AND flag = 1 ORDER BY collectTime DESC  LIMIT $start,$nums");
     
    $post = [];
    foreach($results as $collect){
       $obj = get_post($collect->postid);

   
        $thumbnail_id = get_post_thumbnail_id($obj->ID );
        $thumbnail = wp_get_attachment_image_src( $thumbnail_id , 'thumbnail' );
        $obj->post_thumbnailurl = $thumbnail[0];

        $avatar = preg_match_all("<img.*?src='(.*?)'>",get_avatar( $userid, 96), $matches);
         $src = $matches[1][0];
        $avatar_img = $src.'?v='.mt_rand(100,10000);
        $obj->post_avatar = $avatar_img;


        $output = preg_match_all('<img.*?src="(.*?)">', $obj->post_content, $matches);
        $download_img = $matches [1] [0];
        $obj->post_download = $download_img;



        $zan =  get_post_meta( $collect->postid,'dotGood',true);

        if($zan){

           $obj->post_zan = $zan;

        }else{
            $obj->post_zan = 0;
        } 

        array_push($post,$obj);

      }

    echo json_encode($post);
    exit;   
}

add_action( 'wp_ajax_get_user_collect', 'get_user_collect' ); //仅限登录用户


//个人中心 用户收藏统计
function num_of_author_collect($userid = ""){

    global $wpdb;
    if($userid){
        $results = $wpdb ->get_var("SELECT COUNT(*) FROM bizhi_collect WHERE userid =$userid AND category ='壁纸' AND flag = 1");

    }
    echo ($results);
 
   
}

//获取图片当前收藏状态
function get_collect($postid){ 
    global $wpdb;

    global $current_user;

    $userid = $current_user->ID;

    if($current_user->ID != 0){
    	 $results = $wpdb ->get_row("SELECT * FROM bizhi_collect WHERE postid = $postid AND userid = $userid");
    	 if ( null != $results ) {
	        if( $results->flag == 1){
	            echo "red-heart";
	        }else{
	            echo "";
	        }

	    }

	}  

}



//点击收藏事件 single
function collect(){
    global $wpdb;
    global $current_user;
    $userid = $current_user->ID;

    $postid = $_POST["postid"];
    $time = date('Y-m-d-H-i-s',time());
    $category = $_POST["category"];

    $arr = array();

    if($userid != 0){
        $results = $wpdb ->get_row("SELECT * FROM bizhi_collect WHERE postid = $postid AND userid = $userid");
         if ( null != $results ) {
             if( $results->flag == 1){
                $wpdb->update("bizhi_collect",array('flag' =>0,'message'=>'收藏','collectTime'=>$time),array('postid'=>$postid,'userid'=>$userid));
                         //取消收藏flag
                         //
                         $arr['flag'] = 0;
                         $arr['txt'] = '收藏';
        
                    
                    }else{
                        
                        $wpdb->update("bizhi_collect",array('flag' =>1,'message'=>'已收藏','collectTime'=>$time,'category'=>$category),array('postid'=>$postid,'userid'=>$userid));
                        
                         $arr['flag'] = 1;
                         $arr['txt'] = '已收藏';
                    }

             }else{
                 //insert数据

              $wpdb ->insert('bizhi_collect', array( 'postid' => $postid, 'message' => '已收藏', 'userid' => $userid,'flag'=>1,'collectTime'=>$time,'category'=>$category));
                 $arr['flag'] = 1;
                 $arr['txt'] = '已收藏';

                }

}else{
    $arr['flag'] = -1;
    $arr['txt'] = '请先登录！';
}

    header( 'content-type: application/json; charset=utf-8' );
    echo json_encode( $arr );

    exit;
}

add_action( 'wp_ajax_collect', 'collect' ); //仅限登录用户
add_action( 'wp_ajax_nopriv_collect', 'collect' ); 




//header.php 顶部调用用户登陆状态

function get_user_status($isMobile){
	if (is_user_logged_in()){

		 global $current_user;
		 get_currentuserinfo();
			 $avatar = preg_match_all("<img.*?src='(.*?)'>",get_avatar( $current_user->user_email, 96), $matches);
			 $avatar_img = $matches[1][0].'?v='.mt_rand(100,10000);

             if($current_user->roles[0] == 'administrator'){
                    echo '<a href="'.home_url().'/wp-admin/"><img src="'.$avatar_img.'"></a><a class="loginout" href="'.wp_logout_url(get_permalink()).'" title="退出">退出</a>';

             }else{
                    echo '<a href="'.home_url().'/个人中心"><img src="'.$avatar_img.'"></a><a class="loginout" href="'.wp_logout_url(get_permalink()).'" title="退出">退出</a>';
             }

				
				
			 
		}else{

		
			echo '<a class="login" href="'.home_url().'/login">登陆</a><a class="reg" href="'.home_url().'/register">注册</a>';
		

		
		
	}
}


//用户注册
//

/* AJAX注册验证
/* ------------- */
function ajaxregister(){
    $result = array();

        $user_login = sanitize_user($_POST['username']);
        $result['user_login'] = $user_login;

        $user_pass = $_POST['passwd'];

        $user_email = apply_filters( 'user_registration_email', $_POST['email'] );

        $errors = new WP_Error();

        if( ! validate_username( $user_login ) ){
            $errors->add( 'invalid_username', __( '请输入一个有效用户名','tinection' ) );
        }elseif(username_exists( $user_login )){
            $errors->add( 'username_exists', __( '此用户名已被注册','tinection' ) );
        }elseif(email_exists( $user_email )){
            $errors->add( 'email_exists', __( '此邮箱已被注册','tinection' ) );
        }

        do_action( 'register_post', $user_login, $user_email, $errors );

        $errors = apply_filters( 'registration_errors', $errors, $user_login, $user_email );
        if ( $errors->get_error_code() ){
            $result['success']  = 0;
            $result['message']  = $errors->get_error_message();
 
        } else {
            $user_id = wp_create_user( $user_login, $user_pass, $user_email );
            if ( ! $user_id ) {
                $errors->add( 'registerfail', sprintf( __( '注册失败，请尝试更换新的用户名试试或联系管理员','tinection' ), get_option( 'admin_email' ) ) );
                $result['success']  = 0;
                $result['message']  = $errors->get_error_message();     
            } else{
                update_user_option( $user_id, 'default_password_nag', true, true ); //Set up the Password change nag.
                wp_new_user_notification( $user_id, $user_pass );   
                $result['success']  = 1;
                $result['message']  = esc_html__( '注册成功','tinection' );


                //自动登录
                wp_set_current_user($user_id);
                wp_set_auth_cookie($user_id);
                $result['loggedin'] = 1;
            }
 
        }   

    header( 'content-type: application/json; charset=utf-8' );
    echo json_encode( $result );
    exit;   
}
add_action( 'wp_ajax_ajaxregister', 'ajaxregister' );
add_action( 'wp_ajax_nopriv_ajaxregister', 'ajaxregister' );




function upload_wallpaper(){

    header("Cache-Control: no-cache, must-revalidate");
    $upload_dir = wp_upload_dir(); 
    define('ROOT',$upload_dir['path'].'/');  //上传目录的服务器绝对路径 /home/wwwroot/....
    define('SRC',$upload_dir['url'].'/');   //图片网络路径  http://bizhi... 


    global $current_user;
    $userid = $current_user->ID;


   // $file_name = $_POST['userid'].'_'.time().'.jpg';
    $file_name = $userid.'_'.time().'.jpg';
    $save_dir = ROOT.$file_name;  
    $file_src = SRC.$file_name;

    $result = array();

    if($userid){



     $today = getdate();
     $query = new WP_Query('author='.$userid . '&year=' . $today["year"] . '&monthnum=' . $today["mon"] . '&day=' . $today["mday"]);
     $postsNumber = $query->found_posts;

    print_r($_FILES);

    if($postsNumber <= 20  || $userid == 1){

    if (($_FILES["file"]["type"] == "image/png")|| ($_FILES["file"]["type"] == "image/jpeg")|| ($_FILES["file"]["type"] == "image/pjpeg")){

          if ($_FILES["file"]["error"] > 0){
            echo "Return Code: " . $_FILES["file"]["error"] . "<br />";
          }else{ 
                if( move_uploaded_file($_FILES["file"]["tmp_name"],$save_dir)){  //上传

                    $category_id = get_cat_ID($_POST['category']);
                    
                    $tag = $_POST['tags'];
                    $tag_arr = preg_split("/[\s,，]+/",$tag);//按逗号分离字符串 

                    if(count($tag_arr) > 4){
                        array_splice($tag_arr,4);  //保留前四个标签

                    }

                     $custom_tax = array(
                        'wallpaper_size' => array($_POST['size']),
                        'wallpaper_type' => array($_POST['type']),
                     
                    ); 


                    $my_post = array(

                        'post_title' => $_POST['title'],
                        'post_content' => '<img src="'.$file_src.'" />',
                        'post_type' => 'post',
                        'post_status' => $userid == 1 ? 'publish':'pending',
                        'post_category' => array($category_id),
                        'tags_input' => $tag_arr,
                        'post_author' => $userid,
                     
                        'tax_input' => $custom_tax  // 附加注释数组

                    );

                    echo $my_post;

                    $post_id = wp_insert_post( $my_post);

                     wp_set_object_terms($post_id,$_POST['size'], 'wallpaper_size');
                     wp_set_object_terms($post_id,$_POST['type'], 'wallpaper_type');
                     wp_set_object_terms($post_id,$_POST['category'], 'category');
                
                    if ( is_wp_error($post_id) ){
                        echo '上传失败！'.$post->get_error_message();
                    }else{
                        
                        get_first_image_to_featured($post_id,$save_dir);
                        echo "上传成功，待管理员审核后可见！";
                    }

                }else{

                echo "壁纸上传失败！如有疑问请联系管理员";
                    
                }
                      
                    
            }
           
  }else{
    echo "图片格式错误！";
  }



}else{
	echo "上传失败！已达到每日上传数量限制！";
}

 }else{
    echo "您还未登录！";
 }
  exit;

     
}
add_action('wp_ajax_upload_wallpaper','upload_wallpaper');


function get_wallahven_wallpaper_spider(){


    $upload_dir = wp_upload_dir(); 
    define('ROOT',$upload_dir['path'].'/');  //上传目录的服务器绝对路径 /home/wwwroot/....
    define('SRC',$upload_dir['url'].'/');   //图片网络路径  http://bizhi... 


   /* global $current_user;*/
    $userid = '1';


   // $file_name = $_POST['userid'].'_'.time().'.jpg';
    $file_name = $userid.'_'.time().'.png';
    $save_dir = ROOT.$file_name;  
    $file_src = SRC.$file_name;


    $content = file_get_contents($_POST['img']);
    file_put_contents($save_dir, $content);

  

        $category_id = get_cat_ID($_POST['category']);

        
        $tag = $_POST['tags'];

         $tag = str_replace('，',',',$tag);

        $tag_arr = explode(',',$tag);
        $color_arr = explode(',',$_POST['color']);

       // $tag_arr = preg_split("/[\s,，]+/",$tag);//按逗号分离字符串 

        /*if(count($tag_arr) > 4){
            array_splice($tag_arr,4);  //保留前四个标签

        }*/

        $custom_tax = array(
            'wallpaper_size' => array($_POST['size']),
            'wallpaper_type' => array($_POST['type']),
            'wallpaper_color' =>  $color_arr,
    
         
        ); 

        $my_post = array(

            'post_title' => $_POST['title'],
            'post_content' => '<img src="'.$_POST['img'].'" /><img src="'.$file_src.'" />',
            'post_type' => 'post',
            'post_status' => 'publish',
            'post_category' => array($category_id),
            'tags_input' => $tag_arr,
            'post_author' => $userid,
         
            'tax_input' => $custom_tax  // 附加注释数组

        );

      // echo json_encode($my_post);

        $post_id = wp_insert_post( $my_post);

        wp_set_object_terms($post_id,$_POST['size'], 'wallpaper_size');
        wp_set_object_terms($post_id,$_POST['type'], 'wallpaper_type');
        wp_set_object_terms($post_id,$color_arr, 'wallpaper_color');

        wp_set_object_terms($post_id,$_POST['category'], 'category');

      

    
        if ( is_wp_error($post_id) ){
            echo '上传失败！'.$post->get_error_message();
        }else{
            
             get_first_image_to_featured($post_id,$save_dir);
            echo "上传成功！";
        }

  exit;


     
}
add_action('wp_ajax_get_wallahven_wallpaper_spider','get_wallahven_wallpaper_spider');
add_action('wp_ajax_priv_get_wallahven_wallpaper_spider','get_wallahven_wallpaper_spider');


function get_wallahven_wallpaper(){


    $upload_dir = wp_upload_dir(); 
    define('ROOT',$upload_dir['path'].'/');  //上传目录的服务器绝对路径 /home/wwwroot/....
    define('SRC',$upload_dir['url'].'/');   //图片网络路径  http://bizhi... 


    global $current_user;
    $userid = $current_user->ID;


   // $file_name = $_POST['userid'].'_'.time().'.jpg';
    $file_name = $userid.'_'.time().'.png';
    $save_dir = ROOT.$file_name;  
    $file_src = SRC.$file_name;


    $content = file_get_contents($_POST['img']);
    file_put_contents($save_dir, $content);

  

        $category_id = get_cat_ID($_POST['category']);

        
        $tag = $_POST['tags'];

         $tag = str_replace('，',',',$tag);

        $tag_arr = explode(',',$tag);
        $color_arr = explode(',',$_POST['color']);

       // $tag_arr = preg_split("/[\s,，]+/",$tag);//按逗号分离字符串 

        /*if(count($tag_arr) > 4){
            array_splice($tag_arr,4);  //保留前四个标签

        }*/

        $custom_tax = array(
            'wallpaper_size' => array($_POST['size']),
            'wallpaper_type' => array($_POST['type']),
            'wallpaper_album' => array($_POST['album']),
            'wallpaper_color' =>  $color_arr,
         
        ); 

        $my_post = array(

            'post_title' => $_POST['title'],
            'post_content' => '<img src="'.$file_src.'" /><img src="'.$_POST['img'].'" />',
            'post_type' => 'post',
            'post_status' => 'publish',
            'post_category' => array($category_id),
            'tags_input' => $tag_arr,
            'post_author' => $userid,
         
            'tax_input' => $custom_tax  // 附加注释数组

        );

      // echo json_encode($my_post);

        $post_id = wp_insert_post( $my_post);

        wp_set_object_terms($post_id,$_POST['size'], 'wallpaper_size');
        wp_set_object_terms($post_id,$_POST['type'], 'wallpaper_type');
        wp_set_object_terms($post_id,$_POST['album'], 'wallpaper_album');
        wp_set_object_terms($post_id,$_POST['category'], 'category');
        wp_set_object_terms($post_id,$color_arr, 'wallpaper_color');
      

    
        if ( is_wp_error($post_id) ){
            echo '上传失败！'.$post->get_error_message();
        }else{
            
      
            get_first_image_to_featured($post_id,$save_dir,$_POST['album_id']);
            echo "上传成功！";
        }

  exit;

     
}
add_action('wp_ajax_get_wallahven_wallpaper','get_wallahven_wallpaper');
add_action('wp_ajax_priv_get_wallahven_wallpaper','get_wallahven_wallpaper');




//上传的壁纸，设置文章第一张图为缩略图+裁剪
function get_first_image_to_featured($post_id,$img_dir,$term_id="") {


        $filetype = wp_check_filetype( basename( $img_dir ), null );
        $wp_upload_dir = wp_upload_dir();
        $attachment = array(
            'guid'           => $wp_upload_dir['url'] . '/' . basename( $img_dir ), 
            'post_mime_type' => $filetype['type'],
            'post_title'     => preg_replace( '/\.[^.]+$/', '', basename( $img_dir ) ),
            'post_content'   => '',
            'post_status'    => 'inherit'
        );

        $attach_id = wp_insert_attachment( $attachment, $img_dir, $post_id );
        require_once( ABSPATH . 'wp-admin/includes/image.php' );
        $attach_data = wp_generate_attachment_metadata( $attach_id, $img_dir );
        wp_update_attachment_metadata( $attach_id, $attach_data );
        set_post_thumbnail( $post_id, $attach_id );

        if($term_id != ""){
            $url =  get_the_post_thumbnail_url($post_id,'thumbnail');
            update_option('z_taxonomy_image'.$_POST['album_id'],$url);
        }

}



/* ------------------------------------------------------------------------- *
* 自动文章第一个图片为特色图片
/* ------------------------------------------------------------------------- */
function autoset_featured_image(){
	global $post;
	$already_has_thumb = has_post_thumbnail($post->ID);
	if (!$already_has_thumb){
		$attached_image = get_children("post_parent=$post->ID&post_type=attachment&post_mime_type=image&numberposts=1");
	if ($attached_image){
		foreach ($attached_image as $attachment_id => $attachment) {
		set_post_thumbnail($post->ID, $attachment_id);
	}
	}
	}
}
	add_action('the_post', 'autoset_featured_image');
	add_action('save_post', 'autoset_featured_image');
	add_action('draft_to_publish', 'autoset_featured_image');
	add_action('new_to_publish', 'autoset_featured_image');
	add_action('pending_to_publish', 'autoset_featured_image');
	add_action('future_to_publish', 'autoset_featured_image');




if ( !function_exists('fb_AddThumbColumn') && function_exists('add_theme_support') ) {
 
// 在文章列表页与页面列表页添加缩略图列表
add_theme_support('post-thumbnails', array( 'post' ) );
 
function fb_AddThumbColumn($cols) {
 
$cols['thumbnail'] = __('Thumbnail');
 
return $cols;
}
 
function fb_AddThumbValue($column_name, $post_id) {
 
$width = (int) 35;
$height = (int) 35;
 
if ( 'thumbnail' == $column_name ) {

   $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id($post_id));
   

echo '<img style="width:60px;height:auto;" src="'.$thumbnail_src[0].'">';

}
}
 
// 文章页调用
add_filter( 'manage_posts_columns', 'fb_AddThumbColumn' );
add_action( 'manage_posts_custom_column', 'fb_AddThumbValue', 10, 2 );
 

}


//获取文章媒体文件大小
//
function get_post_imagefile_size($postid){

/*    $img =  get_post($postid)->post_content;

    $output = preg_match_all('<img.*?src="(.*?)">', $img, $matches);
    $image_url = $matches [1] [0];*/

   /* echo $postid;*/
   /* $attachment_id = attachment_url_to_postid( $image_url );*/


    $attachments = get_attached_media( 'image', $postid );

   // print_r($attachments);

    foreach($attachments as $image) {


        
        $attachment_id =  $image->ID;
       $attachment_filesize = size_format( filesize( get_attached_file( $attachment_id ) ), 2 );
    

        list($width, $height, $type, $attr) = getimagesize(get_attached_file( $attachment_id ));
        echo $attachment_filesize.' ('.$width.'x'.$height.')';
        



    }

    //print_r($attachments);

 /*   $attachment_filesize = size_format( filesize( get_attached_file( $attachment_id ) ), 2 );
    

    list($width, $height, $type, $attr) = getimagesize(get_attached_file( $attachment_id ));
    echo $attachment_filesize.' ('.$width.'x'.$height.')';*/

}



//下载

function download(){
    header( 'content-type: application/json; charset=utf-8' );
    global $current_user;
    global $wpdb;
    $maxDownload = get_option('maxDownload'); 

    if($maxDownload == "" || $maxDownload == null){
        $maxDownload = 0;
    }

    $postid = $_POST['postid'];
    $res = array();

    if(!is_user_logged_in()){
       // echo "未登录";
        $res['flag'] = 0;
        $res['message'] = "请先登录！";
      
        
    }else{

        if($current_user->roles[0] != 'vip' && $current_user->roles[0] != 'administrator' && $maxDownload >= 0){  //判断是否是VIP

         

            $times = $wpdb -> get_var("SELECT COUNT(*) FROM bizhi_download_times WHERE userid =$current_user->ID  AND to_days(download_time) = to_days(now())");
            $record = $wpdb -> get_row("SELECT * FROM bizhi_download_times WHERE postid = $postid AND userid = $current_user->ID");

          
            
             if($times >= $maxDownload && $record == null){  //大于$times次，并且不包含已下载的壁纸
                $res['flag'] = -1;
                $res['message'] = "当日下载次数已用尽！是否升级VIP？";

             }else{  //当日小于times次
                $img =  get_post($postid)->post_content;
                $title =  get_post($postid)->post_title;
                $output = preg_match_all('<img.*?src="(.*?)">', $img, $matches);
                $url = $matches [1] [0];
                $res['flag'] = 1;
                $res['url'] = $url;
                $res['title'] = $postid.'_'.parse_url(home_url(), PHP_URL_HOST); 

                $record = $wpdb -> get_row("SELECT * FROM bizhi_download_times WHERE postid = $postid AND userid = $current_user->ID");
                if($record == null){
                    //插入记录
                    $wpdb -> insert('bizhi_download_times', array( 'postid' => $postid,'userid' => $current_user->ID,'download_time' => date('Y-m-d-H-i-s',time())) ); 
                }


             }

        }else{
                $img =  get_post($postid)->post_content;
                $title =  get_post($postid)->post_title;
                $output = preg_match_all('<img.*?src="(.*?)">', $img, $matches);
                $url = $matches [1] [0];
                $res['flag'] = 1;
                $res['url'] = $url;
                $res['title'] = $postid.'_'.parse_url(home_url(), PHP_URL_HOST); 

        }

    }

   echo json_encode($res);
    exit;
}

add_action('wp_ajax_download','download');
add_action( 'wp_ajax_nopriv_download', 'download');



function get_category_tags($args) {
    global $wpdb;
    $tags = $wpdb->get_results
    ("
        SELECT DISTINCT terms2.term_id as tag_id, terms2.name as tag_name
        FROM
            $wpdb->posts as p1
            LEFT JOIN $wpdb->term_relationships as r1 ON p1.ID = r1.object_ID
            LEFT JOIN $wpdb->term_taxonomy as t1 ON r1.term_taxonomy_id = t1.term_taxonomy_id
            LEFT JOIN $wpdb->terms as terms1 ON t1.term_id = terms1.term_id,
            $wpdb->posts as p2
            LEFT JOIN $wpdb->term_relationships as r2 ON p2.ID = r2.object_ID
            LEFT JOIN $wpdb->term_taxonomy as t2 ON r2.term_taxonomy_id = t2.term_taxonomy_id
            LEFT JOIN $wpdb->terms as terms2 ON t2.term_id = terms2.term_id
        WHERE
            t1.taxonomy = 'category' AND p1.post_status = 'publish' AND terms1.term_id IN (".$args['categories'].") AND
            t2.taxonomy = 'post_tag' AND p2.post_status = 'publish'
            AND p1.ID = p2.ID
        ORDER by tag_name
    ");
    $count = 0;
    if($tags) {
        foreach ($tags as $tag) {
            $mytag[$count] = get_term_by('id', $tag->tag_id, 'post_tag');
            $count++;
        }
    } else {
      $mytag = NULL;
    }
    return $mytag;
}


//获取当前网站地址

function curPageURL() {

    $pageURL = 'http';

    if ($_SERVER["HTTPS"] == "on") {

        $pageURL =  $pageURL."s";

    }

    $pageURL =$pageURL. "://";

    if ($_SERVER["SERVER_PORT"] != "80") {

        $pageURL = $pageURL.$_SERVER["SERVER_NAME"].

        ":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];

    } else {

        $pageURL = $pageURL.$_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];

    }

    return $pageURL;

}


//是否是VIP

function isvip(){

      global $current_user;
  
       if( $current_user->roles[0] == 'vip' || $current_user->roles[1] == 'vip' || $current_user->roles[0] == 'administrator' || $current_user->roles[1] == 'administrator') {  //是否是vip用户
          
          return true;
          
        }else{
         return false;
         
        }

      


}



//支付界面


function payment(){

	 
	 global $current_user;

    $userid = $current_user->ID;

   
   

    if($userid == 0){
    
    	echo '-1';

    }else{
    

     $content = "";

    $content .= '<div id="ds-box">
  <div class="modal ds-box show-modal">
    <div class="modal-content b2-radius paypent">
      <div class="pay-box-title">
        <div class="pay-box-left">'.get_option("orderName").'</div> 
        <div class="pay-box-right"><span class="pay-close">×</span></div>
      </div>
      <div class="pay-box-content normal">
        
        <div class="pay-box-desc">支付金额</div> 
        <div class="ds-price">';

        if(isvip()){
            $content .= '<p class="center" style="padding:20px 0px;">您已经是VIP会员了~</p>';
        }else{
            $content .= '<p class="ds-current-money"><i>￥</i><span>'.get_option("payAmount").'</span></p>';
        }
       
       
       $content .= ' </div></div> 
 
      <div class="pay-type">
        <ul>';

        if(get_option("weixin") == 1){
            $content .= '<li><button class="b2-radius" type="wx"><i class="b2font b2-wechat-pay-fill "></i><span>微信支付</span></button></li>';
        }


        if(get_option("zfb") == 1){
            $content .= '<li><button class="b2-radius" type="zfb"><i class="b2font b2-alipay-fill "></i><span>支付宝</span></button></li>';
        }

        if((get_option("zfb") == 0 || get_option("zfb") == null)&& (get_option("weixin") == 0 || get_option("weixin") == null)){
             $content .= '请在后台设置配置支付接口~';
        }

     $content .=  ' </ul>
      </div>
      <div class="pay-button"><div><a  class="button "><span>支付</span></a></div></div>
    </div>
  </div>
</div>';

 echo $content;
}

exit;


}
add_action('wp_ajax_payment','payment');
add_action('wp_ajax_nopriv_payment','payment');


//找回忘记密码

function findPasswd(){

 
    require_once "includes/Smtp.class.php";

    $mailtitle = "[".get_bloginfo('name')."]验证码";
    $code = mt_rand(1000,9999);
    $mailcontent ='【重置密码】 验证码为:'.$code;
  
    //******************** 配置信息 ********************************
    $smtpserver = esc_attr(get_option('smtpserver'));//SMTP服务器
    $smtpserverport =esc_attr(get_option('smtpserverport'));//SMTP服务器端口
    $smtpusermail = esc_attr(get_option('smtpusermail'));//SMTP服务器的用户邮箱
    $smtpemailto = $_POST['toemail'];//发送给谁

    $smtpuser = esc_attr(get_option('smtpuser'));//SMTP服务器的用户帐号，注：部分邮箱只需@前面的用户名
    $smtppass = esc_attr(get_option('smtppass'));//SMTP服务器的用户密码(此处为授权码)KXEXSFCZWFEIASLE XNCLEKWNRJHEUMMP
    //$mailtitle = $_POST['title'];//邮件主题
   
    $mailtype = "HTML";//邮件格式（HTML/TXT）,TXT为文本邮件
    $time=date("Y-m-d H:i:s");

    //************************ 配置信息 ****************************
    //
    ////保存验证码到数据库
    
if ( email_exists($smtpemailto) ){
      global $wpdb;

    $count = $wpdb->get_results( "select code from bizhi_yanzm WHERE toemail = '$smtpemailto' ");

      
     if(count($count) >= 1){
     
        //更新数据
        $wpdb->update('bizhi_yanzm', array( 'code' => $code), array( 'toemail' => $smtpemailto ), array( '%s'), array( '%s' ) ); 
       
    }else{
         //插入数据
        $wpdb ->insert('bizhi_yanzm', array('toemail' => $smtpemailto,'code' => $code,'saveTime' => $time));

    }
    $res = array();
    //************************ 连接数据库 ****************************
    //************************ 发送邮件 ****************************
    $smtp = new Smtp($smtpserver,$smtpserverport,true,$smtpuser,$smtppass);
    $smtp->debug = false;
    $state = $smtp->sendmail($smtpemailto, $smtpusermail, $mailtitle, $mailcontent, $mailtype,$code);

}else{
    echo '2';  //账户不存在
}
  
    exit;
}
add_action( 'wp_ajax_findPasswd', 'findPasswd' );
add_action( 'wp_ajax_nopriv_findPasswd', 'findPasswd' );


//验证码是否正确，并重置密码
function findCode(){
       global $wpdb;
    $smtpemailto = $_POST['toemail'];//发送给谁
    $code = $_POST['code'];//验证码
     $res = $wpdb->get_results( "select code from bizhi_yanzm WHERE toemail = '$smtpemailto' ");

   if($code == $res[0]->code){
        //验证成功
        echo '验证成功!';
        //重置密码
        $user = get_user_by( 'email', $smtpemailto );
        $newPasswd = mt_rand(100000,999999);
        
        if( $user->ID != 1){
             wp_set_password($newPasswd,$user->ID);
             echo '重置后的新密码为：'.$newPasswd;
        }else{
            echo '此账号无法修改！';
        }
       
    }else{
        //验证失败
        echo '验证失败！请填写正确的验证码！';
    }
    exit;
}
add_action( 'wp_ajax_findCode', 'findCode' );
add_action( 'wp_ajax_nopriv_findCode', 'findCode' );



require_once ('functions_vip.php');


require_once ('comment/comment_function.php');
require_once ('userEmail_ip.php');
require_once  (TEMPLATEPATH . '/includes/author-avatars.php');  //头像
require_once("setup/setup.php");  //网站设置
require_once ('functions_zfb.php');
require_once ('functions_weixin.php'); 
require_once ('includes/category_img.php'); 



?>