<?php 
/* template name: 分类页面
description: 分类页面
*/ 
get_header();


$categorys = get_terms( array( 
    'taxonomy' => 'category',
    'orderby' => 'count',
    'order' => 'DESC' 

));


$tags = get_terms( array( 
    'taxonomy' => 'post_tag',
    'orderby' => 'count',
    'order' => 'DESC' 

));

$taxonomy_size = get_terms( array( 
    'taxonomy' => 'wallpaper_size',

));


$taxonomy_color = get_terms( array( 
    'taxonomy' => 'wallpaper_color',

));


$taxonomy = get_terms( array( 
    'taxonomy' => 'wallpaper_album',

));

//print_r($categorys);


?>

<style>


.gird-6{
	grid-template-columns: repeat(6,[col-start] 1fr);
	grid-gap: 14px;
}

.gird-8{
	grid-template-columns: repeat(8,[col-start] 1fr);
	grid-gap: 10px;
}

.tag-bg {
   background: #f3f3f3;
    color: #717171;
    font-size: 15px;
}

.gird-cover.tag-bg:hover {
    background: black;
    color:white;
}


.gird-a p {
    margin: 16px 0;
    padding: 0px 10px;
    font-size: 14px;
}


@media screen and (max-width: 600px) {
    .gird-8{
		grid-template-columns: repeat(2,[col-start] 1fr);
		grid-gap: 10px;
	}

	.gird-6{
		grid-template-columns: repeat(2,[col-start] 1fr);
		grid-gap: 14px;
	}

}

@media screen and (min-width: 600px) {
    .gird-8{
		grid-template-columns: repeat(4,[col-start] 1fr);
		grid-gap: 10px;
	}

	.gird-6{
		grid-template-columns: repeat(4,[col-start] 1fr);
		grid-gap: 14px;
	}

}


@media screen and (min-width: 900px) {
    .gird-8{
		grid-template-columns: repeat(6,[col-start] 1fr);
		grid-gap: 10px;
	}

	.gird-6{
		grid-template-columns: repeat(6,[col-start] 1fr);
		grid-gap: 14px;
	}

}

@media screen and (min-width: 1200px) {
    .gird-8{
		grid-template-columns: repeat(8,[col-start] 1fr);
		grid-gap: 10px;
	}



}






</style>

<div class="container-fluid explore" style="max-width: 1320px;">
	<div class="container-title">
		<h1 style='font-weight:800;'>探索壁纸</h1>
		<p>这里将为您显示更详细的分类</p>
	</div>

	<h2 style="font-size: 30px;font-weight: 800;margin:40px 0px;">分类：</h2>


	<ul class="gird gird-6">

	<?php
		foreach($categorys as $category) {
			echo '<li><div class="gird-item">';
			echo '<a class="gird-a" href="' . get_category_link($category->term_id) . '">';
			echo '<div class="gird-imgdiv">';
			echo '<div class="imgdiv">';
			echo '<img  class="gird-img" src="'.z_taxonomy_image_url($category->term_id).'">';
			echo '<div style="padding-bottom:50%;"></div>';
			echo '</div>';
			echo '<div class="gird-cover">';
			echo '<p class="small">'.$category->name.' ('.$category->count.'张)</p>';
			echo '</div></div>';
			echo '</a></div></li>';
		}



	?>



</ul>







		

	<?php
		if(count($tags)){
			echo '<h2 style="font-size: 30px;font-weight: 800;margin:40px 0px;">标签：</h2><ul class="gird gird-8">';
			foreach($tags as $tag) {
				echo '<li><div class="gird-item">';
				echo '<a class="gird-a" href="' . get_category_link($tag->term_id) . '">';
				echo '<div class="gird-imgdiv">';
				echo '<div class="imgdiv">';
			
				echo '<div style="padding-bottom:50%;"></div>';
				echo '</div>';
				echo '<div class="gird-cover tag-bg">';
				echo '<p class="small">'.$tag->name.' ('.$tag->count.'张)</p>';
				echo '</div></div>';
				echo '</a></div></li>';
			}

			echo '</ul>';
	}

	?>









	<?php

		if(count($taxonomy_size)){
			echo '<h2 style="font-size: 30px;font-weight: 800;margin:40px 0px;">大小：</h2><ul class="gird gird-8">';
			foreach($taxonomy_size as $size) {
				echo '<li><div class="gird-item">';
				echo '<a class="gird-a" href="' . get_category_link($size->term_id) . '">';
				echo '<div class="gird-imgdiv">';
				echo '<div class="imgdiv">';
			
				echo '<div style="padding-bottom:50%;"></div>';
				echo '</div>';
				echo '<div class="gird-cover">';
				echo '<p class="small">'.$size->name.' ('.$size->count.'张)</p>';
				echo '</div></div>';
				echo '</a></div></li>';
			}

			echo '</ul>';

	}

	?>





<?php 

	if(count($taxonomy_color)){
		echo '<h2 style="font-size: 30px;font-weight: 800;margin:40px 0px;">颜色：</h2><ul class="gird gird-8">';

		foreach($taxonomy_color as $color) {
			echo '<li><div class="gird-item">';
			echo '<a class="gird-a" href="' . get_category_link($color->term_id) . '">';
			echo '<div class="gird-imgdiv">';
			echo '<div class="imgdiv">';
		
			echo '<div style="padding-bottom:50%;"></div>';
			echo '</div>';
			echo '<div class="gird-cover">';
			echo '<p class="small">'.$color->name.' ('.$color->count.'张)</p>';
			echo '</div></div>';
			echo '</a></div></li>';
		}
		echo '</ul>';

	}





?>










	<?php

		if(count($taxonomy)){
				echo '<h2 style="font-size: 30px;font-weight: 800;margin:40px 0px;">专辑：</h2><ul class="gird">';
			foreach($taxonomy as $album) {
				echo '<li><div class="gird-item">';
				echo '<a class="gird-a" href="' . get_category_link($album->term_id) . '">';
				echo '<div class="gird-imgdiv">';
				echo '<div class="imgdiv">';
				echo '<img  class="gird-img" src="'.z_taxonomy_image_url($album->term_id).'">';
				echo '<div style="padding-bottom:50%;"></div>';
				echo '</div>';
				echo '<div class="gird-cover">';
				echo '<p>'.$album->count.' 张</p>';
				echo '</div></div>';
				echo '<p>' . $album->name . '</p></a></div></li>';
			}

			echo '</ul>';
	}

	?>










</div>

<?php get_footer();?>